/****************************************************************************
** $Id: qhostaddress.h,v 1.1 2000/05/28 19:26:42 rich Exp $
**
** Definition of something or other
**
** Created : 979899
**
** Copyright (C) 1997 by Troll Tech AS.  All rights reserved.
**
****************************************************************************/

#ifndef QHOSTADDRESS_H
#define QHOSTADDRESS_H

#ifndef QT_H
#include "qstring.h"
#endif // QT_H


class QHostAddress
{
public:
    QHostAddress();
    QHostAddress( uint ip4Addr );
    QHostAddress( const QHostAddress & );
   ~QHostAddress();

    QHostAddress & operator=( const QHostAddress & );

    uint	 ip4Addr()	 const;
    QString	 toString() const;

    bool	 operator==( const QHostAddress & ) const;

private:
    void * d;
    uint a;
};



#endif
